{
  "Language": "English (UK)",
  "Code": "en_GB",
  "Patterns": [
    {
      "Name": "Phone Numbers",
      "Desc": "This pattern will search for 5 to 8 digit phone numbers separated by punctuation marks, as well as leading area codes.",
      "ID": "phones.ptn",
      "Example": "For example:\n555-1234\n212.555.1212\n1 (212) 555-1234",
      "Value": "((((((\\(\\d{2}\\)\\s?)|((\\b\\s?)\\d{2}\\s?(\\(0\\)\\s?)?)|(\\b\\s?))(0?\\d{2,5}(\\s|\\-)))|(\\(0?\\d{2,5}\\)\\s?)))?((\\d{5,8})|(\\d{3,4}\\s\\d{4})))(\\b)"
    },
    {
      "Name": "Credit cards",
      "Desc": "This pattern will search for 16-digit credit card numbers, either consecutive or separated by punctuation marks.",
      "ID": "credits.ptn",
      "Example": "For example:\n1234 5678 9012 3456\n1234567890123456\n1234 5678 9012 3456",
      "Value": "(\\b)(((\\d{4}(-|\\s|\\.|_)?){3}(\\d{3,4}))|(\\d{4}(-|\\s|\\.|_)?\\d{6}(-|\\s|\\.|_)?\\d{5}))(\\b)"
    },
    {
      "Name": "National Insurance Numbers",
      "Desc": "This pattern will search for 8- or 9-character national insurance numbers, either consecutive or 2 letters plus 2 digits plus 2 digits plus 2 digits plus 1 optional letter.",
      "ID": "ssns.ptn",
      "Example": "For example:\n123-456-789\n123456789",
      "Value": "(\\b)(([a-zA-Z]{2}(\\s\\d{2}){3}(\\s[a-zA-Z])?)|([a-zA-Z]{2}\\s?\\d{6}[a-zA-Z]?(\\s?[a-zA-Z])?))(\\b)"
    },
    {
      "Name": "Emails",
      "Desc": "This pattern will search for email addresses.",
      "ID": "emails.ptn",
      "Example": "For example:\nJohn.Doe@acme.com\nJohn_Doe_1234@acme.gov\njohn-doe@marketing.acme.net",
      "Value": "([([a-zA-Z0-9_\\-\\.])*@([([a-zA-Z0-9_\\-\\.])+\\.([a-zA-Z\\.]+)"
    },
    {
      "Name": "Dates",
      "Desc": "Numerical day/month or month/day, followed by year; numerical year, followed by day/month or month/day; month in words.",
      "ID": "dates.ptn",
      "Example": "For example:\n01-01-08 12/31/08 31.12.2008\n08-01-01 08/12/31 2008-12-31\n1st January 2008 1 Jan 08 January 1st 2008",
      "Value": "(\\b)(((\\d{1,2}(\\||\\-|\\.|\\s|\\\\|/|_)){2}\\d{2}(\\d{2})?)|(\\d{1,2}(st|nd|rd|th)?(\\||\\-|\\.|\\s|\\\\|/|_)(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec|january|february|march|april|june|july|august|september|october|november|december)((\\||\\-|\\.|\\s|\\\\|/|_|,)(\\||\\-|\\.|\\s|\\\\|/|_)?\\d{2}(\\d{2})?)?)|((jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec|january|february|march|april|june|july|august|september|october|november|december)(\\||\\-|\\.|\\s|\\\\|/|_)\\d{1,2}(st|nd|rd|th)?((\\||\\-|\\.|\\s|\\\\|/|_|,)(\\||\\-|\\.|\\s|\\\\|/|_)?\\d{2}(\\d{2})?)?)|(\\d{2}(\\d{2})?((\\||\\-|\\.|\\s|\\\\|/|_)\\d{1,2}){2}))(\\b)"
    }
  ]
}